Package org.apache.solr.common.cloud

# Class ZkCoreNodeProps

java.lang.Object
org.apache.solr.common.cloud.ZkCoreNodeProps

public class ZkCoreNodeProps extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZkCoreNodeProps(ZkNodeProps nodeProps)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseUrl()`
`String`
`getCoreName()`
`String`
`getCoreUrl()`
`static String`
`getCoreUrl(String baseUrl, String coreName)`
`static String`
`getCoreUrl(ZkNodeProps nodeProps)`
`String`
`getNodeName()`
`ZkNodeProps`
`getNodeProps()`
`String`
`getState()`
`boolean`
`isLeader()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZkCoreNodeProps

public ZkCoreNodeProps(ZkNodeProps nodeProps)

## Method Details

### getCoreUrl

public String getCoreUrl()

### getNodeName

public String getNodeName()

### getState

public String getState()

### getBaseUrl

public String getBaseUrl()

### getCoreName

public String getCoreName()

### getCoreUrl

public static String getCoreUrl(ZkNodeProps nodeProps)

### getCoreUrl

public static String getCoreUrl(String baseUrl, String coreName)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getNodeProps

public ZkNodeProps getNodeProps()

### isLeader

public boolean isLeader()